javax.print.event

## Class PrintJobAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.print.event.PrintEvent
    - - javax.print.event.PrintJobAttributeEvent

- All Implemented Interfaces:
    Serializable

      public class PrintJobAttributeEvent
      extends PrintEvent

  Class PrintJobAttributeEvent encapsulates an event a PrintService reports to let the client know that one or more printing attributes for a PrintJob have changed.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)` | Constructs a PrintJobAttributeEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PrintJobAttributeSet` | `getAttributes()` | Determine the printing attributes that changed and their new values.
    `DocPrintJob` | `getPrintJob()` | Determine the Print Job to which this print job event pertains.

    - ### Methods inherited from class javax.print.event.PrintEvent

      `toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintJobAttributeEvent

          public PrintJobAttributeEvent(DocPrintJob source,
                                        PrintJobAttributeSet attributes)

      Constructs a PrintJobAttributeEvent object.
      Parameters:
        `source` - the print job generating this event
        `attributes` - the attribute changes being reported
      Throws:
        `IllegalArgumentException` - if `source` is `null`.

  - ### Method Detail

    - #### getPrintJob

          public DocPrintJob getPrintJob()

      Determine the Print Job to which this print job event pertains.
      Returns:
        Print Job object.

    - #### getAttributes

          public PrintJobAttributeSet getAttributes()

      Determine the printing attributes that changed and their new values.
      Returns:
        Attributes containing the new values for the print job attributes that changed. The returned set may not be modifiable.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.